unit dm.main;

interface

uses
  Bcl.TMSLogging,
  Bcl.Logging,
  System.SysUtils,
  System.Classes,
  Aurelius.Drivers.SQLite,
  Aurelius.Comp.Connection,
  Aurelius.Engine.DatabaseManager,
  Aurelius.Comp.DBSchema,
  Aurelius.Events.Manager,
  Aurelius.Comp.ModelEvents,
  Aurelius.Engine.ObjectManager,
  Aurelius.Linq,
  Aurelius.Comp.Manager;

type

  TdmMain = class( TDataModule )
    conSQLiteMemory: TAureliusConnection;
    DBSchema: TAureliusDBSchema;
    Events: TAureliusModelEvents;
    Manager: TAureliusManager;
    procedure DataModuleCreate( Sender: TObject );
    procedure EventsSQLExecuting( Sender: TObject; Args: TSQLExecutingArgs );
  private

  public

  end;

var
  Logger: ILogger;

implementation


{%CLASSGROUP 'System.Classes.TPersistent'}

{$R *.dfm}


procedure TdmMain.DataModuleCreate( Sender: TObject );
begin
  RegisterTMSLogger;
  Logger := LogManager.GetLogger;
  DBSchema.UpdateDatabase;

end;

procedure TdmMain.EventsSQLExecuting( Sender: TObject; Args: TSQLExecutingArgs );
begin
  Logger.Trace( Args.SQL );
  if assigned( Args.Params ) then
    for var P in Args.Params do
        Logger.Trace( P.ToString );
end;

end.
