unit entities;

interface

uses
  Aurelius.Mapping.Attributes,
  System.SysUtils;

type

  [ Entity, Automapping, Id( 'FId', TIdGenerator.SmartGuid ) ]
  TCustomer = class
  private
    FId         : TGuid;
    FName       : string;
    FDateCreated: TDateTime;
  public
    constructor Create( AName: string );
    property Id: TGuid read FId write FId;
    property Name: string read FName write FName;
    property DateCreated: TDateTime read FDateCreated write FDateCreated;
  end;

implementation

constructor TCustomer.Create( AName: string );
begin
  inherited Create;
  FName        := AName;
  FDateCreated := now;
end;

initialization

RegisterEntity( TCustomer );

end.
