unit uMyAureliusTestObject;

interface

uses
  DUnitX.TestFramework,
  system.SysUtils,
  dm.main;

type

  [ TestFixture ]
  TMyAureliusTestObject = class
  private
    Fdm: TdmMain;
  public
    [ SetupFixture ]
    procedure SetupFixture;
    [ TearDownFixture ]
    procedure TearDownFixture;
    [ Test ]
    procedure TestSmartGuid;
  end;

implementation

uses
  system.Variants,
  Aurelius.Engine.ObjectManager,
  Aurelius.Criteria.Base,
  Aurelius.Criteria.Linq,
  Aurelius.Criteria.Projections,
  entities;

procedure TMyAureliusTestObject.SetupFixture;
begin
  Fdm := TdmMain.Create( nil );
end;

procedure TMyAureliusTestObject.TearDownFixture;
begin
  Fdm.Free;
end;

procedure TMyAureliusTestObject.TestSmartGuid;
var
  m: TObjectManager;
  c: TCustomer;
  r: TCriteriaResult;
  n: integer;
begin
  for var I := 0 to 100 do
  begin
    c := TCustomer.Create( I.toString );
    Fdm.Manager.Save( c );
  end;
  Fdm.Manager.Flush;
  r := Fdm.Manager.Find< TCustomer >.Select( TProjections.Count( 'ID' ) ).UniqueValue;
  n := r[ 0 ];
  Assert.AreEqual( 101, n, 'RecordCount' );

end;

initialization

TDUnitX.RegisterTestFixture( TMyAureliusTestObject );

end.
